Qt 5.6 | Qt 3D | C++ Classes | QTextureDataFunctor

Qt 5.6.3 Reference Documentation

# QTextureDataFunctor Class

(Qt3DRender::QTextureDataFunctor)

Inherits: | QAbstractFunctor

- List of all members, including inherited members

## Public Functions

virtual | ~QTextureDataFunctor()
virtual QTexImageDataPtr | operator()() = 0
virtual bool | operator==(const QTextureDataFunctor &other) const = 0

- 2 public functions inherited from Qt3DRender::QAbstractFunctor

## Member Function Documentation

### `[virtual]` QTextureDataFunctor::~QTextureDataFunctor()

Destroys the instance of QTextureDataFunctor. The destructor is virtual.

### `[pure virtual]` QTexImageDataPtr QTextureDataFunctor::operator()()

### `[pure virtual]` bool QTextureDataFunctor::operator==(const QTextureDataFunctor &other) const